<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayZExpansion/Objects/Weapons/Firearms/Flaregun/config.cpp Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">config.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span><a class="code hl_class" href="../../d0/db9/_worlds_2_intro_scenes_2config_8cpp.html#db/d4a/class_cfg_patches">CfgPatches</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html">    3</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html">DayZExpansion_Objects_Firearms_Flaregun</a></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#a9723f01414faa0e9a6462f8b079ec580">    5</a></span>        <a class="code hl_variable" href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#a9723f01414faa0e9a6462f8b079ec580">units</a>[]={};</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#ab47388810d3a44af627add8bf22ecffe">    6</a></span>        <a class="code hl_variable" href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#ab47388810d3a44af627add8bf22ecffe">weapons</a>[]=</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>            <span class="stringliteral">&quot;ExpansionFlaregun&quot;</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        };</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#a0c07cce4b2c0549c5a5cd54b0bb6777f">   10</a></span>        <a class="code hl_variable" href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#a0c07cce4b2c0549c5a5cd54b0bb6777f">requiredVersion</a>=0.1;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#a722d1e86e0d3bb710344fdc04560e770">   11</a></span>        <a class="code hl_variable" href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#a722d1e86e0d3bb710344fdc04560e770">requiredAddons</a>[]=</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>            <span class="stringliteral">&quot;DZ_Pistols_Flaregun&quot;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        };</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    };</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>};</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="keyword">class </span><a class="code hl_class" href="../../d9/dc1/_objects_2_weapons_2_firearms_2_vanilla_2_skins_2config_8cpp.html#d9/df3/class_cfg_weapons">CfgWeapons</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="keyword">class </span>Flaregun;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html">   20</a></span>    <span class="keyword">class </span><a class="code hl_class" href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html">ExpansionFlaregun</a>: Flaregun</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html#a23b294ce4c83e2d73ab3bf8c9f65915a">   22</a></span>        <a class="code hl_variable" href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html#a23b294ce4c83e2d73ab3bf8c9f65915a">scope</a>=2;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html#aed0fc62bb721dc9fbaa19e639833ef65">   23</a></span>        <a class="code hl_variable" href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html#aed0fc62bb721dc9fbaa19e639833ef65">displayName</a>=<span class="stringliteral">&quot;$STR_cfgWeapons_Flaregun0&quot;</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html#a532bce7fd218e1a4ba673daba520c1ce">   24</a></span>        <a class="code hl_variable" href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html#a532bce7fd218e1a4ba673daba520c1ce">descriptionShort</a>=<span class="stringliteral">&quot;The Flaregun is now part of the official weaponary of vanilla dayz. This item still exist so nobody lose their gear. Please do not spawn this item anymore. This item will be removed in a few months.&quot;</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    };</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>};</div>
<div class="ttc" id="a_objects_2_weapons_2_firearms_2_vanilla_2_skins_2config_8cpp_html_d9/df3/class_cfg_weapons"><div class="ttname"><a href="../../d9/dc1/_objects_2_weapons_2_firearms_2_vanilla_2_skins_2config_8cpp.html#d9/df3/class_cfg_weapons">CfgWeapons</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/_objects_2_basebuilding_2_misc_2config_8cpp_source.html#l00213">config.cpp:214</a></div></div>
<div class="ttc" id="a_worlds_2_intro_scenes_2config_8cpp_html_db/d4a/class_cfg_patches"><div class="ttname"><a href="../../d0/db9/_worlds_2_intro_scenes_2config_8cpp.html#db/d4a/class_cfg_patches">CfgPatches</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dd4/_animals_2lepus__europaeus_2config_8cpp_source.html#l00001">config.cpp:2</a></div></div>
<div class="ttc" id="aclass_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun_html"><div class="ttname"><a href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html">CfgPatches::DayZExpansion_Objects_Firearms_Flaregun</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp_source.html#l00003">config.cpp:4</a></div></div>
<div class="ttc" id="aclass_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun_html_a0c07cce4b2c0549c5a5cd54b0bb6777f"><div class="ttname"><a href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#a0c07cce4b2c0549c5a5cd54b0bb6777f">CfgPatches::DayZExpansion_Objects_Firearms_Flaregun::requiredVersion</a></div><div class="ttdeci">requiredVersion</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp_source.html#l00010">config.cpp:10</a></div></div>
<div class="ttc" id="aclass_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun_html_a722d1e86e0d3bb710344fdc04560e770"><div class="ttname"><a href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#a722d1e86e0d3bb710344fdc04560e770">CfgPatches::DayZExpansion_Objects_Firearms_Flaregun::requiredAddons</a></div><div class="ttdeci">requiredAddons[]</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp_source.html#l00011">config.cpp:11</a></div></div>
<div class="ttc" id="aclass_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun_html_a9723f01414faa0e9a6462f8b079ec580"><div class="ttname"><a href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#a9723f01414faa0e9a6462f8b079ec580">CfgPatches::DayZExpansion_Objects_Firearms_Flaregun::units</a></div><div class="ttdeci">units[]</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp_source.html#l00005">config.cpp:5</a></div></div>
<div class="ttc" id="aclass_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun_html_ab47388810d3a44af627add8bf22ecffe"><div class="ttname"><a href="../../d1/d3a/class_cfg_patches_1_1_day_z_expansion___objects___firearms___flaregun.html#ab47388810d3a44af627add8bf22ecffe">CfgPatches::DayZExpansion_Objects_Firearms_Flaregun::weapons</a></div><div class="ttdeci">weapons[]</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp_source.html#l00006">config.cpp:6</a></div></div>
<div class="ttc" id="aclass_cfg_weapons_1_1_expansion_flaregun_html"><div class="ttname"><a href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html">CfgWeapons::ExpansionFlaregun</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp_source.html#l00020">config.cpp:21</a></div></div>
<div class="ttc" id="aclass_cfg_weapons_1_1_expansion_flaregun_html_a23b294ce4c83e2d73ab3bf8c9f65915a"><div class="ttname"><a href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html#a23b294ce4c83e2d73ab3bf8c9f65915a">CfgWeapons::ExpansionFlaregun::scope</a></div><div class="ttdeci">scope</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp_source.html#l00022">config.cpp:22</a></div></div>
<div class="ttc" id="aclass_cfg_weapons_1_1_expansion_flaregun_html_a532bce7fd218e1a4ba673daba520c1ce"><div class="ttname"><a href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html#a532bce7fd218e1a4ba673daba520c1ce">CfgWeapons::ExpansionFlaregun::descriptionShort</a></div><div class="ttdeci">descriptionShort</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp_source.html#l00024">config.cpp:24</a></div></div>
<div class="ttc" id="aclass_cfg_weapons_1_1_expansion_flaregun_html_aed0fc62bb721dc9fbaa19e639833ef65"><div class="ttname"><a href="../../d6/dec/class_cfg_weapons_1_1_expansion_flaregun.html#aed0fc62bb721dc9fbaa19e639833ef65">CfgWeapons::ExpansionFlaregun::displayName</a></div><div class="ttdeci">displayName</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp_source.html#l00023">config.cpp:23</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_7266e09401e3ca35b3ceec0217d9a2dd.html">DayZExpansion</a></li><li class="navelem"><a class="el" href="../../dir_84eee4e2285abea12385098a9a4a4a77.html">Objects</a></li><li class="navelem"><a class="el" href="../../dir_8a966c77839aff146dd8d2ae36f6a70a.html">Weapons</a></li><li class="navelem"><a class="el" href="../../dir_9cbbb725fd1e2264cf37a2e5c9bec9fc.html">Firearms</a></li><li class="navelem"><a class="el" href="../../dir_90f372598264ef7d70fe8319f7a746bd.html">Flaregun</a></li><li class="navelem"><a class="el" href="../../de/d2b/_objects_2_weapons_2_firearms_2_flaregun_2config_8cpp.html">config.cpp</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
